### Method

# WebKit2WebExtension WebPage get_dom_document

deprecated: 2.40.

#### Declaration [src]

    WebKitDOMDocument*
    webkit_web_page_get_dom_document (
      WebKitWebPage* web_page
    )

#### Description [src]

Get the `WebKitDOMDocument` currently loaded in `web_page`.

Deprecated since: 2.40.

Use JavaScriptCore API instead.

#### Return value

Type: `WebKitDOMDocument`

The `WebKitDOMDocument` currently loaded, or `NULL` if no document is currently loaded.

The returned data is owned by the instance.